# Grid Discretization Helper Copyright (c) 2016, The Regents of the University
# of California, through Lawrence Berkeley National Laboratory (subject to
# receipt of any required approvals from the U.S. Dept. of Energy).  All rights
# reserved.
#
# If you have questions about your rights to use or distribute this software,
# please contact Berkeley Lab's Innovation & Partnerships Office at:
# IPO@lbl.gov.
#
# NOTICE.  This Software was developed under funding from the U.S. Department
# of Energy and the U.S. Government consequently retains certain rights. As
# such, the U.S. Government has been granted for itself and others acting on
# its behalf a paid-up, non-exclusive, irrevocable, worldwide license in the
# Software to reproduce, distribute copies to the public, prepare derivative
# works, and perform publicly and display publicly, and to permit others to do
# so.

import PDE_body

# Create an object instance with 11 volumes and setting alpha = 1.0
problem = PDE_body.PDE(1.0, 11)

number_of_timesteps = 2
timestep_size = 0.01

saved_solution_filename_root = 'PDE_pickle_postprocess'

# Load the saved solution file
problem.load_solutions(saved_solution_filename_root)

problem.restore_from_timestep(2)

restart_solution_filename_root = 'PDE_pickle_restart'

# One output file will be created for each format given here
output_types = ['GNUPLOT']

# Calculate solution and write output to file
problem.solve_time_dependent_system(restart_solution_filename_root,
                                    output_types,
                                    timestep_count=number_of_timesteps,
                                    timestep_size=timestep_size)
